%define anolis_release 2
%global pkgname xinit

Summary:    X.Org X11 X Window System xinit startup scripts
Name:       xorg-x11-%{pkgname}
Version:    1.4.2
Release:    %{anolis_release}%{?dist}
License:    MIT
URL:        https://www.x.org

Source0:    https://xorg.freedesktop.org/archive/individual/app/%{pkgname}-%{version}.tar.xz
Source10:   xinitrc-common
Source11:   xinitrc
Source12:   Xclients
Source13:   Xmodmap
Source14:   Xresources
# NOTE: Xsession is used by xdm/kdm/gdm and possibly others, so we keep it
#       here instead of the xdm package.
Source16:   Xsession
Source17:   localuser.sh
Source18:   xinit-compat.desktop
Source19:   xinit-compat

Patch1: xinit-1.0.2-client-session.patch
Patch2: 0003-startx-Make-startx-auto-display-select-work-with-per.patch
Patch3: xinit-1.3.4-set-XORG_RUN_AS_USER_OK.patch

BuildRequires:  automake gcc gcc-c++ make
BuildRequires:  pkgconfig(x11)
BuildRequires:  dbus-devel

Requires:   xorg-x11-xauth
Requires:   coreutils
Requires:   xhost xrdb setxkbmap xmodmap

Provides:   %{pkgname} = %{version}

%description
X.Org X11 X Window System xinit startup scripts.

%{name} is a package that provides a simple wrapper script
for starting the X Window System server. It is designed to
be used as the user's initial command for starting an X
session. This package includes the xinit program and a
collection of scripts that allow users to configure X sessions.

%package session
Summary:    Display manager support for ~/.xsession and ~/.Xclients

%description session
Allows legacy ~/.xsession and ~/.Xclients files to be used from display
managers.

%package doc
Summary:    Documentation for xinit
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description doc
This package contains documentation for xinit.

%prep
%autosetup -p1 -n %{pkgname}-%{version}

%build
%configure
%make_build

%install
%make_install
install -p -m 0644 -D %{SOURCE18} $RPM_BUILD_ROOT%{_datadir}/xsessions/xinit-compat.desktop

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit

install -p -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc-common

for script in %{SOURCE11} %{SOURCE12} %{SOURCE16} ; do
    install -p -m 0755 $script $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/${script##*/}
done

install -p -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/X11/Xmodmap
install -p -m 0644 %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/X11/Xresources

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d
install -p -m 0755 %{SOURCE17} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/localuser.sh

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/Xclients.d

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
install -p -m 0755 %{SOURCE19} $RPM_BUILD_ROOT%{_libexecdir}

%files
%license COPYING
%doc README.md
%{_bindir}/startx
%{_bindir}/xinit
%dir %{_sysconfdir}/X11/xinit
%{_sysconfdir}/X11/xinit/xinitrc
%{_sysconfdir}/X11/xinit/xinitrc-common
%config(noreplace) %{_sysconfdir}/X11/Xmodmap
%config(noreplace) %{_sysconfdir}/X11/Xresources
%dir %{_sysconfdir}/X11/xinit/Xclients.d
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/Xsession
%dir %{_sysconfdir}/X11/xinit/xinitrc.d
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*

%files session
%{_libexecdir}/xinit-compat
%{_datadir}/xsessions/xinit-compat.desktop

%files doc
%doc INSTALL ChangeLog

%changelog
* Wed Apr 12 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.4.2-2
- optimize spec file

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.4.2-1
- New version 1.4.2

* Fri Jul 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.0-1
- Init from upstream version 1.4.0
